summaryrefslogtreecommitdiff
path: root/build_deps.sh
diff options
context:
space:
mode:
authorcyBerta <cyberta@riseup.net>2018-02-06 16:28:34 +0100
committercyBerta <cyberta@riseup.net>2018-02-06 16:28:34 +0100
commit3d827e7295d37ecb25332b39057338496f6f970d (patch)
treef8c5272e125ed9abae72fb3598d25b1c09f06f89 /build_deps.sh
parent646e2ec7b868920f71c29243d2bbeb13deb811e3 (diff)
parentedd34192484f4eb618fdcc2a68b18168c155d63c (diff)
Merge branch 'origin_0.9.8' into 8823_cw_tablet_layout
Diffstat (limited to 'build_deps.sh')
-rwxr-xr-xbuild_deps.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/build_deps.sh b/build_deps.sh
new file mode 100755
index 00000000..d9bcb265
--- /dev/null
+++ b/build_deps.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+function quit {
+ echo "Task failed. Exit value: $?."
+ exit 1
+}
+
+
+DIR_OVPNASSETS=./ics-openvpn/main/build/ovpnassets
+DIR_OVPNLIBS=./ics-openvpn/main/build/intermediates/cmake/noovpn3/release/obj
+# init
+# look for empty dir
+
+if [[ $(ls -A ${DIR_OVPNASSETS}) && $(ls -A ${DIR_OVPNLIBS}) ]]
+then
+ echo "Dirty build: skipped externalNativeBuild - reusing existing libs"
+else
+ echo "Clean build: starting externalNativeBuild"
+ cd ./ics-openvpn || quit
+ ./gradlew clean main:externalNativeBuildCleanNoovpn3Release main:externalNativeBuildNoovpn3Release || quit
+ cd ..
+fi \ No newline at end of file